volcanoplot-methods {xps} | R Documentation

## Volcano Plot

### Description

Produce a scatter plot of fold-change values vs p-values, called volcano plot.

Usage

`volcanoplot(x, labels = "", p.value = "pval", mask = FALSE, show.cutoff = TRUE, cex.text = 0.7, col.text = "blue", col.cutoff = "grey", xlim = NULL, xlab = "Log2(Fold-Change)", ylab = "-Log10(P-Value)", pch = '.', ...)`

### Arguments

`x` | object of class `AnalysisTreeSet`.
`labels` | optional transcript labels to be drawn at plotting points.
`p.value` | type of p-value, 'pval' for p-value, 'padj' for adjusted p-value, or 'pcha' for p-chance.
`mask` | logical, if `TRUE` draw only points for transcripts satisfying the univariate test.
`show.cutoff` | logical, if `TRUE` draw lines indicating cutoff.
`cex.text` | magnification to be used for optional `labels`.
`col.text` | color to be used for optional `labels`.
`col.cutoff` | color to be used for lines indicating cutoff, if `show.cutoff=TRUE`.
`xlim` | optional range for the plotted fold-change values.
`xlab` | label of x-axis.
`ylab` | label of y-axis.
`pch` | either an integer specifying a symbol or a single character to be used as the default in plotting points.
`...` | optional arguments to be passed to `plot`.

### Details

Produces a volcano plot for slot `data` for an object of class `AnalysisTreeSet`.

It is possible to label the points of the volcano plot, whereby the following `labels` parameters are valid:

| `fUnitName`: | unit name (probeset ID).
| `fName`: | gene name.
| `fSymbol`: | gene symbol.
| `fChromosome`: | chromosome.
| `fCytoBand`: | cytoband.

### Author(s)

Christian Stratowa

[Package xps version 1.2.10 Index]